<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Models\Bank;

class BankController extends MasterController
{
    public function __construct(Bank $model)
    {
        $this->model = $model;
        $this->route = 'bank';
        $this->module_name = 'قائمة الحسابات البكية';
        $this->single_module_name = 'الحساب البنكى';
        $this->index_fields = ['الاسم' => 'name', 'رقم الحساب' => 'num_bank'];
        $this->create_fields = ['العنوان' => 'title', 'الوصف' => 'note'];
        $this->update_fields = ['العنوان' => 'title', 'الوصف' => 'note'];
//        $this->middleware('permission:complains')->only('index');
//        $this->middleware('permission:delete_complains')->only('destroy');
        parent::__construct();
    }
    public function store(Request $request)
    {
        $this->validate($request, $this->validation_func(1));
        $obj = new Bank();


        if ($request->image) {
            $obj->image = $request->image;
        }
        $obj['name->ar'] = $request->name_ar;
        $obj['name->en'] = $request->name_en;
        $obj->num_bank = $request->num_bank;
        $obj->save();

        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');
    }

    public function update($id, Request $request)
    {
        $this->validate($request, $this->validation_func(2, $id));
        $obj = Bank::find($id);


        if ($request->image) {
            $obj->image = $request->image;
        }
        $obj['name->ar'] = $request->name_ar;
        $obj['name->en'] = $request->name_en;
        $obj->num_bank = $request->num_bank;

        $obj->update();
        return redirect('admin/' . $this->route . '')->with('updated', 'تم التعديل بنجاح');
    }


    public function validation_func($method, $id = null)
    {
        if ($method == 1) // POST Case
            return ['name_ar' => 'required', 'name_en' => 'required', 'num_bank' => 'required'];
        return ['name_ar' => 'required', 'name_en' => 'required', 'num_bank' => 'required'];
    }
}
