<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Admin\MasterController;

use App\Models\City;
use Illuminate\Http\Request;

class CityController extends MasterController
{
    public function __construct(City $model)
    {
        $this->model = $model;
        $this->language = ['المدينة بالعربية' => 'ar', 'المدينة بالانجليزية' => 'en'];
        $this->route = 'city';
        $this->module_name = 'قائمة المدن ';
        $this->single_module_name = 'المدينة';
//        $this->index_fields = ['الاسم' => 'title'];
//        $this->create_fields = ['الاسم' => 'name'];
//        $this->update_fields = ['الاسم' => 'name'];
        $this->middleware('permission:city')->only('index');
        $this->middleware('permission:add_city')->only('create');
        $this->middleware('permission:add_city')->only('store');
        $this->middleware('permission:edit_city')->only('edit');
        $this->middleware('permission:edit_city')->only('update');
        $this->middleware('permission:delete_city')->only('destroy');
        parent::__construct();
    }


    public function store(Request $request)
    {
        $this->validate($request, $this->validation_func(1));
        $obj = new City();

        $obj['name->ar'] = $request->name_ar;
        $obj['name->en'] = $request->name_en;
        $obj->save();

        return redirect('admin/' . $this->route . '')->with('created', 'تمت الاضافة بنجاح');
    }


    public function update($id, Request $request)
    {
        $this->validate($request, $this->validation_func(2, $id));
        $obj = City::find($id);

        $obj['name->ar'] = $request->name_ar;
        $obj['name->en'] = $request->name_en;
        $obj->update();
        return redirect('admin/' . $this->route . '')->with('updated', 'تم التعديل بنجاح');
    }

    public function validation_func($method,$id=null)
    {
        if($method == 1) // POST Case
            return ['name_ar' => 'required', 'name_en' => 'required'];
        return ['name_ar' => 'required', 'name_en' => 'required'];
    }

}
