@extends('web.layouts.app')
@section('title','ثمار التطور')
@section('header')
    <div class="breadcramb" data-parallax="scroll" data-image-src="{{asset('web/images/loading.jpg')}}">
        <div class="container">
            <h3>من نحن </h3>
            <div class="overlay-breadcramb">
                <h4><a href="{{route('index')}}">الرئيسية</a> <i class="fa fa-angle-left"></i> من نحن  </h4>
            </div>
        </div><!-- container -->
    </div><!-- breadcramb -->

    <div class="page_options options-page">
        <p data-toggle="tooltip" data-placement="left" title="الاعدادات"><i class="fa fa-cog"></i></p>
        <ul>
            @if(!Auth::guard('client')->check() && !Auth::check())
                <li><a href="{{route('login')}}">تسجيل دخول</a></li>
                {{--<li><a href="{{route('register')}}">تسجيل جديد</a></li>--}}
            @elseif(Auth::user())
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('logout')}}">خروج</a></li>
            @elseif(Auth::guard('client'))
                {{--<li><a href="">الاعدادات</a></li>--}}
                <li><a href="{{route('client.logout')}}">خروج</a></li>
            @endif
        </ul>
    </div>
@stop
@section('content')
<div class="about-us page-about">
    <div class="container">
         <div class="title-section wow fadeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>من نحن</span></h3>
        </div><!-- title -->
        <div class="col-md-7">
            {!! App\Models\SettingDescription::where(['setting_id'=>1,'language_id'=>1])->value('about') !!}
        </div><!-- md6 -->
        <div class="col-md-5">
            <div class="img">
                <img src="{{asset('web/images/about.jpg')}}" class="wow fadeIn"  data-wow-duration="1.25s" data-wow-delay=".5s">
            </div><!-- img -->
        </div><!-- col-md-6 -->
    </div><!-- container -->
</div><!-- about -->
<!-- ======================== -->
    <!-- end about -->
    <!-- start contact -->
<!-- ======================== -->
<div id="contact" class="contact-section contact-page">
    <img src="{{asset('web/images/contact.png')}}" class="img-center">
    <div class="container">
        <div class="title-section wow f+adeInUp" data-wow-duration="1.25s" data-wow-delay=".5s">
            <h3><span>اتصل بنا</span></h3>
        </div><!-- title -->
        <div class="col-md-7">
            <div class="text">
                دائما كن على اتصال بنا اذا زاجهتك اى مشكلة او عندك اى شكوى عن الموقع او عملاء مشتركين فى الموقع نحن دائما فى الخدمة 24 ساعة يوميا
            </div><!-- text -->
            @php
                $face=App\Models\Social::find(1);
                $inst=App\Models\Social::find(2);
                $twitter=App\Models\Social::find(3);
            @endphp
            <div class="social-media">
                <p><a target="_blank" href="{{$face->link}}"><i class="fa fa-facebook"></i></a></p>
                <p><a target="_blank" href="{{$twitter->link}}"><i class="fa fa-twitter"></i></a></p>
                {{--<p><a href="#"><i class="fa fa-google-plus"></i></a></p>--}}
                <p><a target="_blank" href="{{$inst->link}}"><i class="fa fa-instagram"></i></a></p>
            </div><!-- social-media -->
        </div><!-- md-6 -->
        <div class="col-md-5">
            {!! Form::open(['method'=>'post', 'files'=>true, 'enctype' => 'multipart/form-data', 'route'=>['contact']]) !!}
            <input name="name" type="text" placeholder="اكتب اسمك هنا">
            <input name="mobile" type="tel" placeholder="اكتب جوالك هنا">
            <textarea name="content" placeholder="اكتب رسالتك هنا"></textarea>
            <button type="submit">ارسال</button>
            {!! Form::close() !!}
        </div><!-- md-6 -->
    </div><!-- container -->
</div><!-- contact-section -->
@stop